Infra APISandbox
Retain a Sandbox until explicitly deleted
POST
/api/v1/sandboxes/{sandbox_id}/retainAuthorization
BearerAuth AuthorizationBearer <token>
Hydra JWT Bearer token
In: header
Path Parameters
sandbox_id*string
Sandbox ID
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/sandboxes/string/retain"{ "cloned_repos": [ { "branch": "string", "checkout_sha": "string", "path": "string", "url": "string", "warning": "string" } ], "created_at": "string", "expires_at": "string", "id": "string", "organization_id": "string", "services": [ { "name": "string", "protocol": "http", "url": "string" } ], "status": "creating", "template_build_id": "string", "updated_at": "string", "workspace_path": "string", "workspace_warning": "string"}{ "error": "string", "message": "string"}